HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

/system/vrfs/{VRF.name}/ospfv3_routers/{OSPF_Router.instance_tag}

Path Params
string
required

Reference Resource: VRF
VRF identifier. Should be alphanumeric. VRF names must be unique.

string
required

Reference Resource: OSPF_Router
The list of all the OSPFv3 Router instances.

Body Params
boolean

Indicates whether the router will send the default route to the stub area if an active loopback interface is configured in the backbone area. Regardless of the configuration, the stub route is advertised if the backbone area has active neighbors or passive interfaces configured.

active_interfaces
array of strings
length ≤ 9223372036854776000

Reference Resource: Port
The list of the active-interfaces. If "passive_interface_default" is set "false", then this list should be empty.

active_interfaces
string
length ≤ 15

The router identifier configured for the OSPF instance. The router ID MUST be unique within the entire Autonomous System. If admin_router_id is present, the same will be elected as active_router_id. The router ID is in IPv4 address format. If not set, admin router id will not be elected as active_router_id for OSPF.

areas
object

Reference Resource: OSPF_Area
The list of all the "OSPF_Area" for the OSPF router instance, which contains the OSPFv2 area related configurations. The Area ID is in IPv4 address format.

asbr_summary_addresses
object

List of ASBR summary addresses associated with this OSPF router instance. These summarized addresses are in the IPv4 or IPv6 address/mask format.

integer
1 to 4000000

The reference bandwidth, Mbits/second, for interface cost calculations.

boolean

Enables BFD on all interfaces involved in OSPF router.

string
enum

Criteria for redistribution of the default routes into the OSPF domain: 'disable' : no default route should be advertised. 'originate' : advertise default route if it exists in the routing table. 'always_originate': always advertise default route, regardless of its presence in the routing table.

Allowed:
integer
1 to 1677214

The metric value used when advertising default route.

distance
object
distribute_list
object

Reference Resource: Prefix_List
Distribute-list uses prefix-list and direction to filter routes. For in, routes are filtered from being installed into Route table. For out, routes from other protocols are filtered from being redistributed into OSPF.

boolean

Specifies whether to ignore OSPF interfaces that have gone down just prior to the restart event.

boolean

Indicates whether OSPF will help a neighbor undergoing hitless restart on this interface.

integer
required

Reference Resource: OSPF_Router
The list of all the OSPFv3 Router instances.

integer
0 to 600000

Minimum wait time in milliseconds before same LSAs received from a peer are processed.

lsa_throttle
object

Timers related to LSA throttling.

integer
1 to 8

Maximum number of equal cost paths that are stored for each destination in the Routing Table.

other_config
object
boolean

This determines whether all interfaces should be set to passive by default.

passive_interfaces
array of strings
length ≤ 9223372036854776000

Reference Resource: Port
The list of the passive-interfaces. If "passive_interface_default" is set "true", then this list should be empty.

passive_interfaces
boolean

Disable this OSPF instance.

redistribute
array of strings
length ≤ 6

Redistribute routes from other sources into this OSPF instance. If the same source also has a route map based filter associated with it, only the filtered routes will be redistributed into this instance.

redistribute
redistribute_ospf
array of strings
length ≤ 7

Reference Resource: OSPF_Router
Redistribute routes from other OSPF instances into this OSPF instance. If the same instance also has a route map based filter associated with it, only the filtered routes will be redistributed into this instance.

redistribute_ospf
redistribute_ospf_route_map
object

Reference Resource: OSPF_Router
Route Map to be applied when redistributing routes from other OSPF instances.

redistribute_route_map
object

Reference Resource: Route_Map
Route Map to be applied when redistributing routes.

integer
5 to 1800

If OSPF is attempting to undergo a graceful restart, this field specifies the length of grace period that should be requested from adjacent routers in grace LSAs.

snmp_traps
object

The configurations related to the OSPF SNMP traps.

spf_throttle
object

Timers related to SPF throttling.

boolean

Specifies whether strict LSA checking is disabled for this OSPF router instance.

stub_router_adv
object
Responses
200

OK

204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

415

Unsupported Media Type

500

Internal Server Error

501

Not Implemented

503

Service Unavailable

Language
Response
Click Try It! to start a request and see the response here!